Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
verified-resources
/
phones
/
verification-code
/
verify
Verify a phone number for an org team
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/verified-resources/phones/verification-code/verify \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone": "+37255556666",
  "code": "1ABG2C"
}
'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/verified-resources/phones/verification-code/verify"

payload = {
    "phone": "+37255556666",
    "code": "1ABG2C"
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({phone: '+37255556666', code: '1ABG2C'})
};

fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/verified-resources/phones/verification-code/verify', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": 789,
    "phoneNumber": "+37255556666",
    "teamId": 89,
    "userId": 45
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

teamId
number
required
orgId
number
required

Body

application/json
phone
string
required

phone number to verify.

Example:

"+37255556666"

code
string
required

verification code sent to the phone number to verify

Example:

"1ABG2C"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required